%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppetlabs-concat
%global commit ba643617a2a03f0588a0ec6625824a707528d9f0
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-concat
Version:        2.2.0
Release:        3%{?alphatag}%{?dist}
Summary:        Construct files from multiple fragments.
License:        Apache-2.0

URL:            https://github.com/puppetlabs/puppetlabs-concat

Source0:        https://github.com/puppetlabs/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=ba643617a2a03f0588a0ec6625824a707528d9f0
#
Patch0001: 0001-Keep-the-whole-fragment-title-to-sort.patch
Patch0002: 0002-Update-modulesync_config-51f469d.patch
Patch0003: 0003-MODULES-3983-Update-parallel_tests-for-ruby-2.0.0.patch
Patch0004: 0004-mocha-version-update-for-test-hanging-issue.patch
Patch0005: 0005-MODULES-3704-Update-gemfile-template-to-be-identical.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Construct files from multiple fragments.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/concat/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/concat/



%files
%{_datadir}/openstack-puppet/modules/concat/


%changelog
* Tue Jan 23 2018 Steve Linabery <slinaber@redhat.com> 2.2.0-3.44d07a1git
- (MODULES-3704) Update gemfile template to be identical
- mocha version update for test hanging issue
- (MODULES-3983) Update parallel_tests for ruby 2.0.0

* Thu Oct 27 2016 Jon Schlueter <jschluet@redhat.com> 2.2.0-2
- Update modulesync_config [51f469d]
- Keep the whole fragment title to sort

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 2.2.0-1.ba64361.git
- Newton update 2.2.0 (ba643617a2a03f0588a0ec6625824a707528d9f0)

